Skip to content

Centrelink schedule data

Request

Provides income stream information necessary to complete an Income Stream Schedule to provide to Centrelink.

Security
Class_oAuth(Required scopes: fund.read)
Path
businessCodestringrequired

Class business code

Example:demo-business
fundCodestringrequired

Class entity code

Example:demo-fund
Query
atDatestring, (date)required
Example:atDate=2024-07-01
curl -i -X GET \
  'https://api.class-pie.com.au/api/1.0/f/demo-business/demo-fund/report-data/member-reports/centrelink-schedule-data?atDate=2024-07-01' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success (Ok)

Bodyapplication/json
ErrorsArray of objectsrequired
Dataobjectrequired
Response
{ "Data": { "AsAtDate": "2024-07-01", "FundDetails": { "Name": "Demo Superannuation Fund 2025", "ABN": "81948421769", "MailingAddress": { "AddressLine1": "123 George Street", "AddressLine2": "Level 5", "AddressLine3": "Suite 501", "PostCode": "2000", "Locality": "Sydney", "State": "NSW", "Country": "Australia" }, "Type": "SMSF", "IsSMSFOrSAF": true, "OnSystemDate": "2010-07-01", "OnSystemDateSpecified": true }, "MemberDetails": [ { "Name": "John Doe", "DOBSpecified": true, "DOB": "1970-02-01", "AccountDetails": [ { "StartDate": "2017-05-26", "Name": "New Pension Account 1235", "Type": "Allocated", "IsSplit": false, "IsAssetTestExempt": false, "PurchaseDate": "2017-05-26", "ReversionaryBeneficiaryNominated": false, "RelevantNumber": 0, "TermSpecified": false, "Term": 5, "PreviousPensionAccount": "PreviousAccount123", "PreviousPensionEstablishmentDateSpecified": false, "PreviousPensionEstablishmentDate": "2015-06-30", "PreviousCommutations": 0, "PurchasePrice": 50050, "StartOfYearBalance": 40050, "CurrentBalance": 40050, "GrossAnnualPayment": 0, "PaymentFrequency": "Monthly", "GrossPeriodicPayment": 0, "Commutations": [ {} ], "TotalCommutations": 10000, "IsAccountBasedPension": true } ], "CentrelinkDVAReference": "123456789A" } ] }, "Errors": [ { "Code": "string", "Message": "string" } ] }